Order Status Callback

This webhook is called when an order changes status or when the prepare_for field has changed.

Body Params
string
string
string
string
string
string
enum
Allowed:
status_log
array of objects
status_log
credit_amount
object
refund_amount
object
handover
object
delivered_place
object

Will be passed only when rider had problems delivering the order.

delivery_eta
object

Provides an estimated delivery window for the order

string

A textual representation of the time value formatted according to the RFC3339 format

string

A textual representation of the time value formatted according to the RFC3339 format

items
array of objects
items
Headers
string
required

Deliveroo Sequential globally unique identifier (GUID). Please implement it as case-insensitive.

string
required

On registration, we'll provide you with a webhook secret. We'll use the webhook secret and a sequential globally unique identifier (GUID) to generate a hash of the order payload. When you receive a POST request, you will be able to compute a hash and verify that it's a genuine, authorized request sent from Deliveroo. Please implement it as case-insensitive.

Responses
200

Your server returns this code if it accepts the callback.

4XX

Your server can return 4XX codes to signal its issues with the request.

5XX

Your server can return 5XX codes to signal its internal issues.

Language
Credentials
OAuth2
URL